set xact_abort on
go

begin transaction
go

INSERT INTO dbo.AnagTipoEvento
  VALUES (N'UDC_NOTE', N'Update note UDC')
go

commit transaction
go


set xact_abort on;
go

begin transaction;
go

set ANSI_NULLS on;
go

/*****************************************
* STORED stp_UDC_updateNote
*
* Aggiorna note UDC
*
* Steamware, S.E.L.
* mod: 2013.02.12
*
****************************************/
create PROCEDURE stp_UDC_updateNote
(
	@UDC    NVARCHAR(50),
	@note   NVARCHAR(500),
	@CodSoggetto NVARCHAR(17)
)
AS

UPDATE	ElencoCartellini
SET		note		= @note
       ,ModDate		= GETDATE()
       ,CodEvento	= 'UDC_NOTE'
       ,CodSoggetto = @CodSoggetto
FROM    ElencoCartellini
WHERE   UDC = @UDC

RETURN
go

commit;
go


set xact_abort on
go

begin transaction
go

UPDATE dbo.TipoListaPrelievo SET 
  DescrLista=N'Lista di Prelievo Smart'
  WHERE CodTipoLista=N'00-Smart'
UPDATE dbo.TipoListaPrelievo SET 
  DescrLista=N'Lista di Prelievo Fusi'
  WHERE CodTipoLista=N'01-PreFus'
UPDATE dbo.TipoListaPrelievo SET 
  DescrLista=N'Lista di Prelievo Finiti per Clienti', enabled=1
  WHERE CodTipoLista=N'02-PreCli'
UPDATE dbo.TipoListaPrelievo SET 
  DescrLista=N'Lista di Prelievo per Terzisti'
  WHERE CodTipoLista=N'03-TerWip'
UPDATE dbo.TipoListaPrelievo SET 
  DescrLista=N'Lista di Prelievo per Odette TK', enabled=1
  WHERE CodTipoLista=N'04-OdetTK'
UPDATE dbo.TipoListaPrelievo SET 
  DescrLista=N'Lista di Prelievo Anime Terzista'
  WHERE CodTipoLista=N'05-TerAn'
go

commit transaction
go






-- registro versione...
INSERT INTO [dbo].[LogUpdateDb] ([Versione],[Data]) VALUES(531, GETDATE())
GO
SELECT TOP 5 * FROM LogUpdateDb ORDER BY Versione DESC
GO
